# pydicom.values.convert_string

pydicom.values.convert_string(byte_string: bytes, is_little_endian: bool, struct_format: str | None = None) → str | MutableSequence[str]

  Return a decoded string VR value.

  String VRs are ‘AE’, AS’, ‘CS’ and optionally (depending on pydicom.config) ‘DA’, ‘DT’, and ‘TM’.

  Parameters:

    - byte_string (bytes) – The encoded text VR element value.

    - is_little_endian (bool) – `True` if the value is encoded as little endian, `False` otherwise.

    - struct_format (str, optional) – Not used.

  Returns:

    The decoded value(s).

  Return type:

    str or MultiValue of str